





#include "xanimnotifyinfo.h"

XAnimNotifyInfo::XAnimNotifyInfo()
    : XAsset() {
}

void XAnimNotifyInfo::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        aStream->read((char*)&mName, sizeof(quint16));
        aStream->read((char*)&mTime, sizeof(float));
    }
}

quint16 XAnimNotifyInfo::GetName() const {
    return mName;
}

void XAnimNotifyInfo::SetName(quint16 name) {
    mName = name;
}

float XAnimNotifyInfo::GetTime() const {
    return mTime;
}

void XAnimNotifyInfo::SetTime(float time) {
    mTime = time;
}




